View Issue Details

IDProjectCategoryView StatusLast Update
0002060DraftFeaturepublic2017-04-29 11:56
ReporterrocknAssigned Torockn 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformLinux UbuntuOS14.04OS Version64 bits
Product Version0.15 
Target VersionFixed in Version0.17 
Summary0002060: Create new objects directly in a Group or VisGroup
DescriptionCan we add a way to draw line directly in a folder ? In my mind I see a combobox in the Draft tool bar (this with workplane, construction mode) where we can choose the existing folder where we want the draft line to be added. This could be a folder or a VisGroup.
In fact this feature exist with Construction line automatically. But I don't know or see a way to have this behavior on normal draft line.
Additional Informationhttp://forum.freecadweb.org/viewtopic.php?f=8&t=10247
TagsNo tags attached.

Activities

yorik

2015-04-17 23:09

administrator   ~0006041

I'm assigning this to myself, but if you want to work on it, feel free ;)

rockn

2015-04-17 23:11

developer   ~0006042

Okay, I will take a look ;)

rockn

2015-06-03 15:50

developer   ~0006187

take a look here, please
http://forum.freecadweb.org/viewtopic.php?f=10&t=11094

rockn

2016-04-30 07:12

developer   ~0007033

See here : http://forum.freecadweb.org/viewtopic.php?f=8&t=13429&start=30#p123017
The "Make active groups and pages" section.

yorik

2017-04-29 03:53

administrator   ~0008818

This is now implemented with theDraft AutoGroup function

Kunda1

2017-04-29 11:55

administrator   ~0008821

See FreeCAD master 9a6191f5 & form thread https://forum.freecadweb.org/viewtopic.php?f=9&t=20222

Related Changesets

FreeCAD: master 9a6191f5

2017-01-25 16:55:14

yorik

Details Diff
Draft: AutoGroup system Affected Issues
0002060
mod - src/Mod/Arch/ArchBuilding.py Diff File
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchEquipment.py Diff File
mod - src/Mod/Arch/ArchFloor.py Diff File
mod - src/Mod/Arch/ArchFrame.py Diff File
mod - src/Mod/Arch/ArchPanel.py Diff File
mod - src/Mod/Arch/ArchPipe.py Diff File
mod - src/Mod/Arch/ArchRoof.py Diff File
mod - src/Mod/Arch/ArchSite.py Diff File
mod - src/Mod/Arch/ArchSpace.py Diff File
mod - src/Mod/Arch/ArchStairs.py Diff File
mod - src/Mod/Arch/ArchStructure.py Diff File
mod - src/Mod/Arch/ArchWall.py Diff File
mod - src/Mod/Arch/InitGui.py Diff File
mod - src/Mod/Draft/Draft.py Diff File
mod - src/Mod/Draft/DraftGui.py Diff File
mod - src/Mod/Draft/DraftTools.py Diff File
mod - src/Mod/Draft/InitGui.py Diff File
mod - src/Mod/Draft/Resources/Draft.qrc Diff File
add - src/Mod/Draft/Resources/icons/Draft_AutoGroup.svg Diff File
add - src/Mod/Draft/Resources/icons/Draft_AutoGroup_off.svg Diff File
add - src/Mod/Draft/Resources/icons/Draft_AutoGroup_on.svg Diff File

Issue History

Date Modified Username Field Change
2015-04-17 22:48 rockn New Issue
2015-04-17 23:08 yorik Assigned To => yorik
2015-04-17 23:08 yorik Status new => assigned
2015-04-17 23:09 yorik Note Added: 0006041
2015-04-17 23:11 rockn Note Added: 0006042
2015-06-03 15:50 rockn Assigned To yorik => rockn
2015-06-03 15:50 rockn Note Added: 0006187
2016-01-19 01:52 yorik Target Version 0.16 =>
2016-04-30 07:12 rockn Note Added: 0007033
2017-04-29 03:53 yorik Note Added: 0008818
2017-04-29 03:53 yorik Status assigned => closed
2017-04-29 03:53 yorik Resolution open => fixed
2017-04-29 11:49 Kunda1 Fixed in Version => 0.17
2017-04-29 11:55 Kunda1 Note Added: 0008821
2017-04-29 11:56 Kunda1 Changeset attached => FreeCAD master 9a6191f5